質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.36%

  • Python

    3801questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Linux

    2691questions

    Linuxは、Unixをベースにして開発されたオペレーティングシステムです。日本では「リナックス」と呼ばれています。 主にWebサーバやDNSサーバ、イントラネットなどのサーバ用OSとして利用されています。 上位500のスーパーコンピュータの90%以上はLinuxを使用しています。 携帯端末用のプラットフォームAndroidは、Linuxカーネル上に構築されています。

CentOS7にインストールされているPythonについて(ver3.xを新たにインストール)

解決済

回答 4

投稿 2017/11/22 18:10

  • 評価
  • クリップ 0
  • VIEW 116

NextSt

score 2

CentOS7には初期状態で、ver2.7.5のPythonがインストールされていますが、
ver3.xを利用したいので、https://weblabo.oscasierra.net/python3-centos7-yum-install/
上記サイトを参考にPython3.6をインストールしました。

しかし、

$ python --version
Python 2.7.5

とかえって来るのですが、
これはver2.7.5とver3.6が共存していると考えていいのでしょうか?

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 4

checkベストアンサー

+2

$ python3.6 --version


とすればPython3.6になっているはずです。
Python3.6で動かしたいときは、pythonコマンドの代わりにこのpython3.6コマンドを使いましょう。

pythonコマンドのリンクをpython3.6にしたい場合は

$ ln -sf python3.6 /usr/bin/python


こうする場合、以前一部python2に依存したソフトウェアが動かなくなることがあったのでご注意ください。

投稿 2017/11/24 17:14

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/11/24 17:55

    >>python2に依存したソフトウェアが動かなくなる。
    python2に依存しているソフトがある可能性もあるんですね。
    実はアンインストールできないかも模索してました…やめておきます。

    実行等については、Python3.6で進めたいと思います。

    キャンセル

+1

コマンドラインでpythonまでタイプし、tabキーを叩いてみて下さい。python3とかpython3.6とかいろいろ見えている筈。
単にpythonとしたときにどの実行ファイルが呼出されるかは次のようにして確認できます。たぶんpythonはシンボリックリンクになっていると思います。

$ ls -la `which python`

投稿 2017/11/22 22:21

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/11/24 16:41

    以下のように表示されたという事は、実際Pythonで何かしらを動かそうとすると、
    Linuxはpython2で動かそうとするという事でしょうか?

    lrwxrwxrwx. 1 root root 7 10月 31 2016 /usr/bin/python -> python2

    キャンセル

  • 2017/11/24 16:44

    できればPython3で進めたい(動かしたい)のですが、どのようにすればいいでしょうか?

    キャンセル

  • 2017/11/24 17:19

    だからpython3系の実行ファイルの存在を確認してください。その方法を上に書きました。

    キャンセル

  • 2017/11/24 17:51

    失礼しました。コメントが1部飛んでました。

    ・python→tab
    $ python
    python python3.5m python3.6m-config
    python2 python3.6 python3.6m-x86_64-config
    python2.7 python3.6-config
    python3.5 python3.6m

    以上のように返ってきました。

    $ ls -la `which python`と入力すると、
    ls: which python にアクセスできません: そのようなファイルやディレクトリはありません
    と返ってきます。

    <追記>
    whichというコマンドを教えてもらったので、色々と調べてみましたが、

    $ which ls python
    alias ls='ls --color=auto'
    /usr/bin/ls
    /usr/bin/python


    /usr/bin/pythonを確認すると、
    Python 2.7.5 (default, Sep 15 2016, 22:37:39)となり、
    シンボリックリンクがPython 2.7.5になっているという事…でしょうか?

    キャンセル

  • 2017/11/24 18:56

    > シンボリックリンクがPython 2.7.5になっているという事…でしょうか?
    pythonはpython2.7.5のシンボリックリンク であるという事です。
    問題の解決方法はde9さんが言っている通りです。
    pathをうまく設定することで 「python2に依存したソフトウェア」 を阻害することなくpythonでpython3.6を呼出すようにもできると思います。 しかしそれはlinuxの使いかたにもう少し慣れてから考えた方が良いでしょう。

    キャンセル

0

共存しているであっています。

投稿 2017/11/22 18:21

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/11/24 16:48

    Python3を主として利用したいと考えていますが、どうすればよろしいでしょうか?

    キャンセル

  • 2017/11/27 10:48

    de9さんの回答を参考にしていただければと思います。

    キャンセル

0

pythonインタープリタのコマンドに混乱があるようです。python3はpython3x。

投稿 2017/11/22 18:21

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.36%

関連した質問

同じタグがついた質問を見る

  • Python

    3801questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Linux

    2691questions

    Linuxは、Unixをベースにして開発されたオペレーティングシステムです。日本では「リナックス」と呼ばれています。 主にWebサーバやDNSサーバ、イントラネットなどのサーバ用OSとして利用されています。 上位500のスーパーコンピュータの90%以上はLinuxを使用しています。 携帯端末用のプラットフォームAndroidは、Linuxカーネル上に構築されています。